Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class COMResource

    java.lang.Object
      |
      +--weblogic.security.service.ResourceBase
            |
            +--weblogic.security.service.COMResource

public final class COMResource
extends ResourceBase

The `COMResource` class is used by a container to specify a class type that can be exported from the COM runtime.

The `toString` format (which is produced by the `ResourceBase` class) for a COM resource is:
`type=<com>, application=, className=my.package.MyClass`

Author:
  Copyright (c) 2002 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Constructor Summary
`COMResource(java.lang.String application, java.lang.String className)` Constructs a new `COMResource` with a target name composed from the `application` and `className` parameters.

Method Summary
`java.lang.String` | `getClassName()` Gets a fully-qualified classname of the Java class to be exported to a COM client.
`java.lang.String[]` | `getKeys()` Gets keys for the `COMResource`.
`java.lang.String` | `getType()` Gets the type of this resource (`COMResource`).
`void` | `initialize(java.lang.String application, java.lang.String className)` Deprecated. As of 04/01/02, the constructor should be used instead.
`protected Resource` | `makeParent()` Gets a `Resource` object that represents the parent of the current `COMResource`.

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getFieldType, getID, getParentResource, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, reset, toString, writeResourceString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### COMResource

    public COMResource(java.lang.String application,
                       java.lang.String className)
                throws InvalidParameterException

  Constructs a new `COMResource` with a target name composed from the `application` and `className` parameters.

  Parameters:
    `application` - a String indicating the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with an `<application>` element in the deployment descriptor, in an `.ear` file. A value of `null` indicates that the resource is not deployed as part of an application.

    `className` - a String representing the fully-qualified classname of the Java class to be exported to a COM client.

  Throws:
    InvalidParameterException - if the value of the `className` parameter is not specified or is `null`.

Method Detail

### initialize

    public void initialize(java.lang.String application,
                           java.lang.String className)

  Deprecated. As of 04/01/02, the constructor should be used instead.

  Replaces the `application` and `className` parameters of the resource with the specified values.

  Parameters:
    `application` - a String indicating the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with an `<application>` element in the deployment descriptor, in an `.ear` file. A value of `null` indicates that the resource is not deployed as part of an application.

    `className` - a String representing the fully-qualified classname of the Java class to be exported to a COM client.

### getType

    public java.lang.String getType()

  Gets the type of this resource (`COMResource`).

  Returns:
    the type of this resource, represented as a String.

### makeParent

    protected Resource makeParent()

  Gets a `Resource` object that represents the parent of the current `COMResource`. If the resource does not have a parent, the value of `null` must be returned.

  The parentage hierarchy for the `COMResource` (that is, the values returned from successive calls to this method) is:

  `type=<com>, application=, className=my.package
  type=<com>, application=, className=my
  type=<com>`

  Returns:
    the `Resource` object of the parent resource.

  Overrides:
    makeParent in class ResourceBase

### getKeys

    public java.lang.String[] getKeys()

  Gets keys for the `COMResource`.

  Returns:
    an array of Strings containing the `COMResource`'s keys.

  Overrides:
    getKeys in class ResourceBase

### getClassName

    public java.lang.String getClassName()

  Gets a fully-qualified classname of the Java class to be exported to a COM client.

  Returns:
    the fully-qualified classname of the Java class to be exported to a COM client, represented as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference